%global tarball xf86-video-modesetting
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

Summary:   Xorg X11 modesetting video driver
Name:      xorg-x11-drv-modesetting
Version:   0.4.0
Release:   4%{?dist}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

Patch0: modesetting-prime.patch

# all X hw drivers aren't built on s390 - no need for separate bug
ExcludeArch: s390 s390x %{?rhel:ppc ppc64}

BuildRequires: xorg-x11-server-sdk >= 1.10.99.902
BuildRequires: libX11-devel
BuildRequires: libdrm-devel
BuildRequires: libXext-devel
BuildRequires: libtool automake autoconf

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)

%description 
X.Org X11 modesetting video driver - basic modesetting fallback driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1 -b .prime

%build
autoreconf -vif
%configure --disable-static
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{driverdir}/modesetting_drv.so
%{_mandir}/man4/modesetting.4*
%doc COPYING README

%changelog
* Fri Aug 17 2012 Dave Airlie <airlied@redhat.com> 0.4.0-4
- modesetting add prime slave support.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 18 2012 Dave Airlie <airlied@redhat.com> - 0.4.0-2
- ABI rebuild

* Fri Jun 22 2012 Dave Airlie <airlied@redhat.com> 0.4.0-1
- bump to upstream release 0.4.0

* Fri May 25 2012 Dave Airlie <airlied@redhat.com> 0.3.0-1
- bump to upstream release 0.3.0

* Mon Apr 09 2012 Adam Jackson <ajax@redhat.com> 0.2.0-2
- RHEL arch exclude updates

* Fri Feb 24 2012 Dave Airlie <airlied@redhat.com> 0.2.0-1
- Update to new upstream - fixes pitch issues

* Mon Feb 20 2012 Dave Airlie <airlied@redhat.com> 0.1.0-3
- add build requires, fix tab/space, fix description line

* Mon Feb 20 2012 Dave Airlie <airlied@redhat.com> 0.1.0-2
- initial review comments 1

* Thu Feb 16 2012 Dave Airlie <airlied@redhat.com> 0.1.0-1
- initial import
